Credit Card Analysis | Download Report
cURL:
curl --location 'https://api.signzy.app/api/v3/statementanalysis/ccanalysis/download-report' \
--header 'Authorization: <auth-token>' \
--header 'Content-Type: application/json' \
--data '{
"workOrderId": "5acc0cfd-33a7-47d9-9e6b-f4eab02370c2",
"fileType": "excel and json"
}'Request Headers:
Key | Value |
|---|---|
Authorization | Shared by Signzy |
Content-Type | application/json |
Request Body:
{
"workOrderId": "5acc0cfd-33a7-47d9-9e6b-f4eab02370c2",
"fileType": "excel and json"
}PARAMETER | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
wordOrderId | This parameter specifies which workorder details has to be fetched | String | COMPULSORY |
fileType | This parameter specifies which type of file has to be downloaded. Possible values are: excel, json, excel and json | String | COMPUSORY |
Response Data:
{
"result": {
"json": {
"Summary - Scorecard": [
{
"Item": "Opening Balance",
"Details": "NA",
"Verification": "NA"
},
{
"Item": "Closing Balance",
"Details": "NA",
"Verification": "NA"
},
{
"Item": "Monthly Average Balance",
"Details": null,
"Verification": "NA"
}
],
"Summary - Document Authenticity Check": [],
"Summary - Fixed Income / Obligation": [
{
"Type": "Salary",
"Type Identified": "No",
"Amount": "Not Identified"
},
{
"Type": "Probable Salary",
"Type Identified": "No",
"Amount": "Not Identified"
},
{
"Type": "EMI/LOAN",
"Type Identified": "No",
"Amount": "NA"
}
],
"Fraud Check Triggers - Fraud Checks": [],
"Fraud Check Triggers - Fraud Check Details": [],
"Emi Details": null,
"Month Wise Details": [],
"EOD": null,
"All Transactions": [],
"Credit Card Info - Credit Card Details": [],
"Credit Card Info - Credit Cards": null,
"Return Transactions": [],
"Recurring Debits": [],
"Recurring Credits": [],
"Scoring Details": [
{
"Description": "Average Credit Transactions",
"Value": "NA"
},
{
"Description": "Average Debit Transactions",
"Value": "NA"
},
{
"Description": "Fixed Obligation To Income Ratio",
"Value": "NA"
}
],
"Summary - Bureau Rating": [],
"Summary - Credit Card": [],
"Summary - Salary Details": [],
"Summary - Cheque Bounce Charges": [],
"Salary Slip Info": null,
"Bureau Ratings - Telephone": [],
"Bureau Ratings - Address": [],
"Bureau Ratings - Loans": [],
"Bureau Ratings - Enquiry": null,
"Bureau Ratings - Consumer Information": [],
"Bureau Ratings - Identification Type": null,
"Bureau Ratings - Emails": null,
"Bureau Ratings - Summary": [],
"Salary Slip Info - Summary": [],
"Salary Slip Info - Details": [],
"Associated Party Transactions": null
},
"excel": "https://files.signzy.tech/api/files/994051189/download/38127cae606d4ada814657c571d8c092bc4617eff64e435ebf6689b9b278a6a2.xlsx"
}
}Status Codes:
CODE | MESSAGE |
|---|---|
200 400 404 409 500 | Request Successful Validation Error Record Not Found Upstream is down Server Side Error |